Resource Groups
All operations require authentication.
List resource groupsProduction
Returns the resource groups of the account. Set details to true to expand resource information.
Query parameters
Add extra information about resources in output
Headers
Pagination cursor
Pagination size
Response
Creation time
Unique identifier of the group
Name of the group
Owner of the group
Whether you can add or remove resources
Resources included in the group
Last update time
Unique resource name used in policies
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resourceGroup \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "readOnly": true, "resources": [ { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string" } ], "updatedAt": "2024-01-01T12:00:00Z", "urn": "string" }]
Get a resource groupProduction
Returns the name and the resources of the group. Set details to true to expand resource information.
Path parameters
Group ID
Query parameters
Add extra information about resources in output
Response
Creation time
Unique identifier of the group
Name of the group
Owner of the group
Whether you can add or remove resources
Resources included in the group
Last update time
Unique resource name used in policies
Example uses groupId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resourceGroup/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "readOnly": true, "resources": [ { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string" } ], "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}
Create a resource groupProduction
Creates a group of resources that policies can target as a single entity.
Request body (required)
Name of the group
Resources to add in the created group
Response
Creation time
Unique identifier of the group
Name of the group
Owner of the group
Whether you can add or remove resources
Resources included in the group
Last update time
Unique resource name used in policies
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resourceGroup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "readOnly": true, "resources": [ { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string" } ], "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}
Delete a resource groupProduction
Deletes the resource group. The resources it contains are not deleted.
Path parameters
Group ID
Response
Example uses groupId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resourceGroup/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"Update a resource groupProduction
Replaces the name and the list of resources of the group.
Path parameters
Group ID
Request body (required)
New name of the group
New list of resources of the group
Response
Creation time
Unique identifier of the group
Name of the group
Owner of the group
Whether you can add or remove resources
Resources included in the group
Last update time
Unique resource name used in policies
Example uses groupId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resourceGroup/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "readOnly": true, "resources": [ { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string" } ], "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}